<template>
  <div class="mr-2" v-if="!isBalance">
    <ul class="flex items-center">
      <li class="px-1">
        <div
          class="flex pr-2 pl-[.125rem] items-center rounded-[.625rem] fc-text4"
        >
            <div class="mr-2"    
                v-if="isShowBalance && !isSuspended"
                @click="isShowBalance = !isShowBalance"
            >
                <img v-lazy="getAssetImage('assets/theme/green_peru/icons/eye_open.png')" />
            </div>
            <div class="mr-2"    
                v-else
                @click="isShowBalance = !isShowBalance"
            >
                <img v-lazy="getAssetImage('assets/theme/green_peru/icons/eye_close.png')" />
            </div>
          <p class="flex items-center">
            <span>{{ currency }}</span>
            <span v-if="isShowBalance && !isSuspended" class="ml-1">{{
              mainBalanceForDisplay
            }}</span>
          </p>
        </div>
      </li>
      <li class="px-1 fc-text4">
        <icons
          v-if="!isSuspended"
          @click="getMultiWallets"
          :is-refresh="true"
          :class="{ 'fa-spin': isLoading }"
        />
        <font-awesome-icon v-else icon="lock" />
      </li>
    </ul>
  </div>
</template>
<script lang="ts">
import { defineComponent, ref } from "vue";
import useBalanceInfo from "@/composables/useBalanceInfo";
import commonHelper from "@/utils/commonHelper";
import { store } from "~~/store";
import EnumThemePropertyKey from "~~/models/enums/enumThemePropertyKey";

export default defineComponent({
  props: {
    isSuspended: {
      type: Boolean,
      default: false,
    },
  },
    setup() {
    const { getAssetImage } = commonHelper;
    const isShowBalance = ref(false);
    const { isLoading, balanceUser, getBalance, currency, wallets, mainBalanceForDisplay, getMultiWallets } =
      useBalanceInfo();
    const isBalance = computed(() =>
      featuresToggleHelper.getThemePropertyFromApi(
      EnumThemePropertyKey.HtmlId,
      "balance").IsHidden
    );
    return {
      isLoading,
      balanceUser,
      getBalance,
      currency,
      wallets,
      isShowBalance,
      getAssetImage,
      isBalance,
      mainBalanceForDisplay,
      getMultiWallets,
    };
  },
});
</script>